Business Agencies
Updated: Jan 21, 2025
Reading
List all businesses that have access to your business’s assets.
Example
GET /v25.0/{business-id}/agencies HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Business nodes.
The following fields will be added to each node that is returned:
| Field | Description |
|---|---|
adaccount_permissionslist<AdAccountPermission> |
Adaccount_permissions
default |
application_permissionslist<AppPermission> |
Application_permissions
default |
page_permissionslist<PagePermission> |
Page_permissions
default |
productcatalog_permissionslist<ProductCatalogPermission> |
Productcatalog_permissions
default |
shared_ca_countint32 |
Shared_ca_count
default |
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of businesses.
|
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
104 | Incorrect signature |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
/{business_id}/agencies
You can dissociate a Business from a Business by making a DELETE request to /{business_id}/agencies.
Parameters
| Parameter | Description |
|---|---|
businessnumeric string or integer |
The agency's business.
required |
Return Type
Struct {
success: bool,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |